Firefox 3.5 compatibility Rated 5 out of 5 stars

For the latest development built compatible with Firefox 3.5, go to http://tmp.garyr.net/forum/viewtopic.php?t=9864

This review is for a previous version of the add-on (0.3.7.3).